Page MenuHomePhabricator

new possible wikifarms / hives detected - check for lists
Open, MediumPublic

Description

detected when checking mediawikis table for duplicate names with varying statistics:

check for other existing languages / wikis and lists, check total number of wikis:




8520 | ECGpedia                                   | http://www.ecgpedia.org/nl/api.php                             |    204 |

| 4808 | ECGpedia | http://en.ecgpedia.org/api.php | 1038 |



















2690 | WikiEducator                               | http://WikiEducator.org/api.php                                |  17787 |

Version: unspecified
Severity: enhancement

Details

Reference
bz36570

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:26 AM
bzimport set Reference to bz36570.
bzimport added a subscriber: Unknown Object (MLST).
Dzahn created this task.May 6 2012, 1:17 PM
Dzahn added a comment.May 6 2012, 1:37 PM

Done. added with API urls and fetched names from API.

idsi_sitenamestatsurlmethod

+-------+-------------------------------+--------------------------------------------+--------+

4016WikiHoster.nethttp://www.wikihoster.net/api.php8
11590WikiHoster.net - MW Testwikihttp://mwtest.wikihoster.net/api.php8
11591WikiHoster.net - SMW Testwikihttp://smwtest.wikihoster.net/api.php8
11589CAcert in Berlinhttp://cacertberlin.wikihoster.net/api.php8

RobiH, can you check the above and create more import lists, checking which other language versions or subdomains they have?

2578 is a dupe to 9268

Found additional ones:

http://de.vinopedia.hr/wiki/api.php
http://en.vinopedia.hr/wiki/api.php
http://fr.vinopedia.hr/wiki/api.php

http://it.vikidia.org/w/api.php

http://cs.pornopedia.com/w/api.php
http://hu.pornopedia.com/w/api.php
http://sv.pornopedia.com/w/api.php

http://ar.orthodoxwiki.org/api.php
http://bg.orthodoxwiki.org/api.php
http://el.orthodoxwiki.org/api.php
http://es.orthodoxwiki.org/api.php
http://it.orthodoxwiki.org/api.php
http://mk.orthodoxwiki.org/api.php
http://ru.orthodoxwiki.org/api.php
http://tl.orthodoxwiki.org/api.php

http://ar.mormonwiki.com/wiki/api.php
http://da.mormonwiki.com/wiki/api.php
http://fi.mormonwiki.com/wiki/api.php
http://hi.mormonwiki.com/wiki/api.php
http://hu.mormonwiki.com/wiki/api.php
http://ja.mormonwiki.com/wiki/api.php
http://nl.mormonwiki.com/wiki/api.php
http://no.mormonwiki.com/wiki/api.php
http://pl.mormonwiki.com/wiki/api.php
http://pt.mormonwiki.com/wiki/api.php
http://ru.mormonwiki.com/wiki/api.php
http://sm.mormonwiki.com/wiki/api.php
http://sq.mormonwiki.com/wiki/api.php
http://th.mormonwiki.com/wiki/api.php
http://vi.mormonwiki.com/wiki/api.php
http://zh.mormonwiki.com/wiki/api.php

http://wikicafe.metacafe.com/it/api.php
http://wikicafe.metacafe.com/nl/api.php

http://wh40k-fr.lexicanum.com/mediawiki/api.php

http://www.gwiki.fr/w/api.php

http://wiki-nl.genealogy.net/w/api.php
http://wiki.dis-danmark.dk/api.php

http://ar.wiki.ffxiclopedia.org/api.php
http://de.wiki.ffxiclopedia.org/api.php
http://ja.wiki.ffxiclopedia.org/api.php

http://en.anime-wiki.org/api.php

http://nl.wiki.edpnet.be/api.php

RobiH added a comment.May 28 2012, 7:10 PM

Removed upon request

Robert: You assigned this issue to yourself in October 2012.
Could you please provide a status update and inform us whether you are still working (or still plan to work) on this issue?
Only in case you do not plan to work on this issue anymore, should the assignee be set back to default and the bug status changed from ASSIGNED to NEW/UNCONFIRMED? Thanks.

RobiH added a comment.Mar 9 2014, 4:28 PM

I worked on them. see my previous comments.

I know. My question is about the future. :)

RobiH added a comment.Mar 9 2014, 8:16 PM

Set to default.

Robert, this bug is too unspecific. which farms/hives should really (still) be added, please. I think some of them might not exist anymore meanwhile.

one bug per actual hive that still works and i should actually would would be great. and i will eventually do them like you recently saw me adding more hives. but this is one of those open-ended things...

also, lol at adding mormonwiki right next to pornopedia

RobiH added a comment.Sep 12 2014, 5:33 AM

Start adding those hives with more than 10 entries.
The others would go into mediawikis.

RobiH added a comment.May 2 2015, 5:55 PM

As the blocking task is resolved, we could go forward here.

RobiH added a comment.EditedJul 1 2016, 7:24 PM

Another hive detected (1133 entries):
http://meta.miraheze.org/wiki/Special:SiteMatrix

Dzahn added a comment.Jul 1 2016, 7:56 PM

miraheze already exists http://wikistats.wmflabs.org/display.php?t=mh

but needs update.. only 82 entries

Dzahn added a comment.Jul 1 2016, 11:16 PM

@RobiH updated list of miraheze wikis (in existing table), with import script.

i get 612 wikis. dont know why their meta page shows more.. 639 total in DB, maximum displayed 500

Nemo_bis closed this task as Resolved.Jul 2 2016, 6:16 PM

Nice! This is good enough.

Dzahn reopened this task as Open.Jul 5 2016, 3:30 PM

Cool, but it does not mean all the other hives here have been added. i think.

Nemo_bis removed a subscriber: Nemo_bis.Jul 14 2016, 7:21 AM
Dzahn added a comment.Nov 1 2016, 9:48 PM

@RobiH I heard not that long ago that Wikiapiary was not maintained anymore, did somebody take that over?

Dzahn added a comment.Nov 1 2016, 10:01 PM

Thanks Paladox, that's good news :)

RobiH writes:

Maybe even potential to join forces with them.

The current long-term plan is to move WikiApiary to labs and to share
bot infrastructure. At least, that is my plan. I've talked to @Dzahn
about this some, but we don't have any really solid action items yet.

(The first would be "Move WikiApiary"...)

Dzahn added a comment.EditedNov 3 2016, 4:10 AM

but we don't have any really solid action items yet.
(The first would be "Move WikiApiary"...)

  • create task to move WikIApiary to Labs -> T149874
  • request git repo/gerrit project for WikiApiary
  • initial commit of existing code to new repo
  • create minimal puppet role class to setup webserver etc and clone code from repo above
  • request Labs project WikiApiary
  • create instance inside project, add admins, test ssh'ing to it
  • configure instance and apply puppet role class
  • run puppet on instance
  • get wikiapiary.wmflabs.org URL by creating proxy in Wikitech web UI, assign to instance
Kghbln added a comment.Nov 3 2016, 8:21 AM

I guess the domain <wikiapiary.com> should be kept as primary instead of <wikiapiary.wmflabs.org>. I dunno if this will be possible with labs though I do not think that this may be a big issue.

Kghbln added a comment.Nov 3 2016, 8:23 AM

Never mind, will post at T149874